summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoonas Niilola <juippis@gentoo.org>2020-12-19 09:21:59 +0200
committerJoonas Niilola <juippis@gentoo.org>2020-12-19 09:25:40 +0200
commitc1915f430c4ccfa722ccc1c5fd14713832c01708 (patch)
treec36ba2fec0656ce437f90556457e824a6f431052 /sys-kernel/pf-sources
parentnet-misc/websocat: Initial import (diff)
downloadgentoo-c1915f430c4ccfa722ccc1c5fd14713832c01708.tar.gz
gentoo-c1915f430c4ccfa722ccc1c5fd14713832c01708.tar.bz2
gentoo-c1915f430c4ccfa722ccc1c5fd14713832c01708.zip
sys-kernel/pf-sources: revbump to fix F2FS and md+btrfs issues
- note that this version includes the linux-5.10.1 patch set, with f2fs-seek-data-offset-inline-data.patch https://bugs.gentoo.org/760573 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'sys-kernel/pf-sources')
-rw-r--r--sys-kernel/pf-sources/Manifest2
-rw-r--r--sys-kernel/pf-sources/pf-sources-5.10_p1-r1.ebuild67
2 files changed, 69 insertions, 0 deletions
diff --git a/sys-kernel/pf-sources/Manifest b/sys-kernel/pf-sources/Manifest
index 1d8879da5e6..c1894459b81 100644
--- a/sys-kernel/pf-sources/Manifest
+++ b/sys-kernel/pf-sources/Manifest
@@ -1,5 +1,7 @@
DIST genpatches-5.10-1.base.tar.xz 3840 BLAKE2B 08ac1f83dc9a1cfc1d4cf0a3a5ab4c9d4686a80348247ec7cd1da6e49db92d6932a1864113f2631d5528a4ba732945b2afe73d03061bd3c532b3d1e4d9571999 SHA512 04356093c4df6a7ee0876b89be5b90f8bc90c920628e5fe69b5787ce82e003be05eaac142310f10f32d0549a6676af846734ae4ac188c2b96c2eca2cb0a6f4b0
DIST genpatches-5.10-1.extras.tar.xz 1768 BLAKE2B e99d5d2137d5752845ba8284a0dd57620851c3620603e871973af5841b54e9bfdde92ea2408ddedb55355f2c954c80641b06098060043916d2483e10cfb8293a SHA512 0034e5ab57cccb2e969a3b9e1f674614ca853779c552c37be9c5afb0a37112bf8f2c30e1b21832d56320c70c1d622081b60369c6a86fa737a23c3ed953267453
+DIST genpatches-5.10-3.base.tar.xz 5524 BLAKE2B 3811736bbb95e9f4b9745cc0f02bd1c183bde82e4c10924a72cb1b4a0fdd3703cdc591c2e8fe266c3ffd29ef65258bf57ac314318c01d73dd08a17e449108c60 SHA512 50d8e1c26600657f76a4aefc4cbb7aa7db1b9265db77344769ac33bc988d692d84f4d7d7b9055ed2278c6e8c195902b6561ccfede741c7a77c42cfec9dd3ed56
+DIST genpatches-5.10-3.extras.tar.xz 1772 BLAKE2B a5453e4e9187373c7dc1b2e77a7877a53eaf3c0cfb578b199d93715dae78cb47c72e644e4de50e0837712b8a61ef151b4f6cd61a7d85de306bbe8d5dfdda4af6 SHA512 394220858394f89a1beadaaa1bbc86049f1bfd8e850c72fd7e27d0db23b4600d148a602fb4c68a3399e6a8fef3a7e0d45ae0c946976dce7418f0547841a4d21d
DIST genpatches-5.7-1.base.tar.xz 5168 BLAKE2B 506ed0fe3ecf7891c0fa89467437ec665b91a5d476832f567702d42aa0216b5c738cfed235e990f66244d8dbcd3c71ece1d4b280638be2b62412cb9fc2ae05c0 SHA512 bf14433a31b131bb74c1abb1151d021074015a6ed28c88bcb56430e9502d54b450bed1c066c9cd4870da2f1642cc065f2a5d027cbf389b705cea72ad3ea8e2ab
DIST genpatches-5.7-1.extras.tar.xz 1764 BLAKE2B d455a21ce5f37b37861747a71d55f16e9983d82ddbfc51e65f6401384b7415dff3afe5491f9ff5344e9b6ab33b760e647e3e4075549211c1a9d7d2249baa4f98 SHA512 0215ce69c03a12e5bdddfcb61ad1ef9cdeb7b2016971d439766bb2420142b9c960fefedb4f85edef73172203961be9fa01c70cb76f72e9b1f4edb299a6a14067
DIST genpatches-5.8-1.base.tar.xz 4268 BLAKE2B c1c4959758d0bc28213e4fa5c73014bad00144a92d37ed4f576f45d4d578c470c61080d941358d16b426aa17893bd80c88734b65beaa0afd90baf5d78cd078f2 SHA512 534e92071e33fe03049b0f1f3ec7d3e670155a2fa6e93dd1bb8cd5ca0f817549fa9c0b6c5ca06020d7b3733d53204ad79d909d5fbcbc748f218a9f799cc3be6e
diff --git a/sys-kernel/pf-sources/pf-sources-5.10_p1-r1.ebuild b/sys-kernel/pf-sources/pf-sources-5.10_p1-r1.ebuild
new file mode 100644
index 00000000000..13b093e8d99
--- /dev/null
+++ b/sys-kernel/pf-sources/pf-sources-5.10_p1-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# Define what default functions to run
+ETYPE="sources"
+
+# No 'experimental' USE flag provided, but we still want to use genpatches
+K_EXP_GENPATCHES_NOUSE="1"
+
+# Just get basic genpatches, -pf patch set already includes vanilla-linux updates
+K_GENPATCHES_VER="3"
+
+# Not supported by the Gentoo security team
+K_SECURITY_UNSUPPORTED="1"
+
+# We want the very basic patches from gentoo-sources, experimental patch is
+# already included in pf-sources
+K_WANT_GENPATCHES="base extras"
+
+inherit kernel-2 optfeature
+detect_version
+
+DESCRIPTION="Linux kernel fork that includes the pf-kernel patchset and Gentoo's genpatches"
+HOMEPAGE="https://gitlab.com/post-factum/pf-kernel/-/wikis/README
+ https://dev.gentoo.org/~mpagano/genpatches/"
+SRC_URI="${KERNEL_URI}
+ https://github.com/pfactum/pf-kernel/compare/v${PV/_p*/}...v${PV/_p*/}-pf${PV/*_p/}.diff -> ${P}.patch
+ https://dev.gentoo.org/~mpagano/genpatches/tarballs/genpatches-${PV/_p*/}-${K_GENPATCHES_VER}.base.tar.xz
+ https://dev.gentoo.org/~mpagano/genpatches/tarballs/genpatches-${PV/_p*/}-${K_GENPATCHES_VER}.extras.tar.xz"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+S="${WORKDIR}/linux-${PV}-pf-${PR}"
+
+PATCHES=( "${DISTDIR}/${P}.patch" )
+
+K_EXTRAEINFO="For more info on pf-sources and details on how to report problems,
+ see: ${HOMEPAGE}."
+
+pkg_setup() {
+ ewarn ""
+ ewarn "${PN} is *not* supported by the Gentoo Kernel Project in any way."
+ ewarn "If you need support, please contact the pf developers directly."
+ ewarn "Do *not* open bugs in Gentoo's bugzilla unless you have issues with"
+ ewarn "the ebuilds. Thank you."
+ ewarn ""
+
+ kernel-2_pkg_setup
+}
+
+src_prepare() {
+ kernel-2_src_prepare
+
+ # Keep consistency when upgrading throughout 5.10 series.
+ sed -e 's/_p1-pf-r1/-pf-r1/g' \
+ -e 's/SUBLEVEL = 1/SUBLEVEL = 0/g' \
+ -i Makefile || die
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+
+ elog "Optional features:"
+ optfeature "Userspace KSM helper" sys-process/uksmd
+}